<?php

namespace Drupal\vde_drush\FormatManipulator;

/**
 * Removes headers and writes output to XML file.
 */
class VdeDrushFormatManipulatorXml extends VdeDrushFormatManipulatorBase {

  /**
   * {@inheritdoc}
   */
  public function removeHeaders($content, $export_count) {
    $maximum = $this->totalRows;
    $items_per_batch = $this->itemsPerBatch;
    // Remove xml declaration and response opening tag.
    if ($export_count != 0) {
      $content = str_replace('<?xml version="1.0"?>', '', $content);
      $content = str_replace('<response>', '', $content);
    }

    // Remove response closing tag.
    if ($export_count + $items_per_batch < $maximum) {
      $content = str_replace('</response>', '', $content);
    }

    return $content;
  }

}
