<?php

namespace Drupal\vde_drush;

/**
 * Loads necessary format manipulator.
 */
class FormatManipulatorLoader {

  const FORMAT_MANIPULATOR_CLASS_BASE = '\Drupal\vde_drush\FormatManipulator\VdeDrushFormatManipulator';

  /**
   * Loads necessary format manipulator class and adds parameters to it.
   *
   * @param string $output_format
   *   View output format.
   * @param string $output_file
   *   File name to output.
   * @param string $export_items
   *   Number of items to export.
   * @param string $items_per_batch
   *   Number of items per iteration.
   *
   * @return \Drupal\vde_drush\FormatManipulator\$class
   *   Loaded instance of a class $class.
   */
  public function loadManipulatorClass($output_format, $output_file, $export_items, $items_per_batch) {
    // Get necessary class to work with files.
    $class = static::FORMAT_MANIPULATOR_CLASS_BASE . ucfirst($output_format);
    $formatManipulator = new $class($output_file);

    // Set some variables.
    $formatManipulator->setTotalRows($export_items);
    $formatManipulator->setItemsPerBatch($items_per_batch);

    return $formatManipulator;
  }

}